import React from 'react';
import ReactDOM from 'react-dom';
import { VizContainer } from './VizContainer';

import { CellMatrix } from './CellMatrix';

const width = 960;
const height = 500;
const margin = { top: 50, right: 50, bottom: 50, left: 50 };
const innerWidth = width - margin.right - margin.left;
const innerHeight = height - margin.top - margin.bottom;

const App = () => {
  return (
    <VizContainer
      width={width}
      height={height}
      margin={margin}
      innerWidth={innerWidth}
      innerHeight={innerHeight}
    >
      <CellMatrix
        nx={10}
        ny={5}
        innerWidth={innerWidth}
        innerHeight={innerHeight}
      />
    </VizContainer>
  );
};

ReactDOM.render(<App />, document.getElementById('root'));
